<?php
define('NTLCMS', 1);
$module = 'bank';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница банка кредитов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Банк кредитов</b></div>';
$error = null;
if (isset($_POST['col']) && isset($_POST['oper'])){
$summa = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
$operate = isset($_POST['oper']) ? filter_var($_POST['oper'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (empty($summa)){
$error.= 'Введите количество кредитов!<br/>';
} elseif(!is_numeric($summa)){
$error.= 'Не верно введено количество кредитов!<br/>';
} elseif($operate == 0 && $summa > $_USER['bank']){
$error.= 'В банке нет такого количества кредитов!<br/>';
} elseif($operate == 1 && $summa > $_USER['credit']){
$error.= 'В активе нет такого количества кредитов!<br/>';
} elseif($operate == 1 && $summa > $_USER['credit'] - $set['mactive']){
$error.= 'В активе должно остаться '.($set['mactive']).' кредитов!<br/>';
} elseif(!is_numeric($operate)){
$error.= 'Не верно выбрана операция!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
$op = ($operate == 0 ? 'Снял с банка' : 'Положил в банк');
if (DB :: run() -> query("update `users` set `bank` = `bank` ".($operate == 0 ? '-' : '+')."'".$summa."', `credit` = `credit`".($operate == 1 ? '-' : '+')."'".$summa."' where `login` = ? limit 1", array($ilogin))){
DB :: run() -> query("insert into `bank` (`data`, `operate`, `login`, `kolvo`) values (?, ?, ?, ?)", array(TIME, $op, $ilogin, $summa));
header('Location: '.URL.'/bank');
$_SESSION['success'] = 'Операция успешно выполнена!';
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Операция не выполнена!</center></div>';
}
}
}
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> В банке: '.coins(round($_USER['bank'], 2)).' <br/>
<i class="fa fa-dot-circle-o fa-fw"></i> В активе: '.coins(round($_USER['credit'], 2)).' </div>';
echo '<div class="menu"><form action="'.URL.'/bank" method="post">
* Количество:<br/><input type="text" name="col" maxlength="6"/><br/>
* Операция:<br/><select name="oper">
<option value="0">Снять с банка</option>
<option value="1">Положить в банк</option>
</select><br/>
<input type="submit" value="Выполнить"/>
</form></div>';
echo '<div class="menu"><i class="fa fa-exclamation fa-fw"></i> Остаток в активе не менее '.coins(($set['mactive'])).'</div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
?>